﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YAxisLabel_145753
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void chart_Loaded(object sender, RoutedEventArgs e)
        {
            foreach (ChartSeries item in chart.Series)
            {
                int index = chart.Series.IndexOf(item);
                if (item is CartesianSeries)
                {
                    if ((item as CartesianSeries).XAxis != null && (item as CartesianSeries).YAxis != null)
                    {
                        (item as CartesianSeries).XAxis.Foreground = series.ColorModel.GetBrush(index);
                        (item as CartesianSeries).YAxis.Foreground = series.ColorModel.GetBrush(index);
                    }
                    else
                    {
                        chart.PrimaryAxis.Foreground = series.ColorModel.GetBrush(index);
                        chart.SecondaryAxis.Foreground = series.ColorModel.GetBrush(index);
                    }
                }
            }
        }
    }
    public class Model
    {
        public string XData
        {
            get;
            set;
        }
        public double YData
        {
            get;
            set;
        }
        public double Value
        {
            get;
            set;
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> DataPoint
        {
            get;
            set;
        }
       

        public ViewModel()
        {
            this.DataPoint = new ObservableCollection<Model>();
            var date = new DateTime(2000, 1, 1);
            DataPoint.Add(new Model { XData = "Jan", YData = 40, Value=30 });
            DataPoint.Add(new Model { XData = "Feb", YData = 60, Value=40 });
            DataPoint.Add(new Model { XData = "Mar", YData = 30, Value =60});
            DataPoint.Add(new Model { XData = "Apr", YData = 20, Value=10 });
            DataPoint.Add(new Model { XData = "May", YData = 60, Value=40 });
            DataPoint.Add(new Model { XData = "June", YData = 50, Value=40 });
            DataPoint.Add(new Model { XData = "July", YData = 10, Value=20 });
            DataPoint.Add(new Model { XData = "August", YData = 40, Value=40 });
            
        }
    }
    public class LabelConverter : IValueConverter
    {
        Brush brush;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var result = value as SfChart;
            int i = 0;
            while(i<result.Series.Count)
            {
                brush = result.ColorModel.GetBrush(i);
                return brush;
            }
            return 1;
            
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


}
